LOCAL_PATH:= $(call my-dir)
include $(CLEAR_VARS)

TOOLS := \
	[ \
	[ \
	[[ \
	ash \
	awk \
	basename \
	bbconfig \
	blkid \
	bunzip2 \
	bzcat \
	bzip2 \
	cal \
	cat \
	catv \
	chattr \
	chgrp \
	chmod \
	chown \
	chroot \
	cksum \
	clear \
	cmp \
	cp \
	cpio \
	cut \
	date \
	dc \
	dd \
	depmod \
	devmem \
	df \
	diff \
	dirname \
	dmesg \
	dos2unix \
	du \
	echo \
	egrep \
	env \
	expand \
	expr \
	false \
	fdisk \
	fgrep \
	find \
	fold \
	free \
	freeramdisk \
	fuser \
	getopt \
	grep \
	groups \
	gunzip \
	gzip \
	head \
	hexdump \
	id \
	insmod \
	install \
	kill \
	killall \
	killall5 \
	length \
	less \
	ln \
	losetup \
	ls \
	lsattr \
	lsmod \
	lspci \
	lsusb \
	lzcat \
	lzop \
	lzopcat \
	makedevs \
	md5sum \
	mkdir \
	mkfifo \
	mkfs.ext2 \
	mknod \
	mkswap \
	mktemp \
	modinfo \
	modprobe \
	more \
	mount \
	mountpoint \
	mv \
	nanddump \
	nandwrite \
	nice \
	nohup \
	od \
	patch \
	pgrep \
	pidof \
	pkill \
	printenv \
	printf \
	ps \
	pstree \
	pwd \
	rdev \
	readlink \
	realpath \
	renice \
	reset \
	resize \
	rev \
	rm \
	rmdir \
	rmmod \
	run-parts \
	sed \
	seq \
	setconsole \
	setserial \
	setsid \
	sh \
	sha1sum \
	sha256sum \
	sha512sum \
	sleep \
	sort \
	split \
	stat \
	strings \
	stty \
	swapoff \
	swapon \
	sync \
	sysctl \
	tac \
	tail \
	tar \
	tee \
	test \
	time \
	top \
	touch \
	tr \
	true \
	ttysize \
	umount \
	uname \
	unexpand \
	uniq \
	unix2dos \
	unlzma \
	unlzop \
	unxz \
	unzip \
	uptime \
	usleep \
	uudecode \
	uuencode \
	watch \
	wc \
	which \
	whoami \
	xargs \
	xzcat \
	yes \
	zcat
	
TOOLBOX_BINARY := busybox

LINK_BUSYBOX:= cd system/core/oppo-recovery/prebuilt_lib/busybox/ \
	$(foreach t,$(TOOLS), ln -sf $(TOOLBOX_BINARY) $(t);)